Bug 1123293 - Rubygem-staypuft: HA: start-failure-is-fatal: this should be true. It was selectively set to false on some services in OSP4 to workaround other bugs that have been fixed in OSP5.
Summary: Rubygem-staypuft: HA: start-failure-is-fatal: this should be true. It was sel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:04 UTC by Leonid Natapov
Modified: 2016-04-26 16:00 UTC (History)
4 users (show)

Fixed In Version: openstack-foreman-installer-2.0.18-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Leonid Natapov 2014-07-25 09:04:47 UTC
Rubygem-staypuft: HA: 

start-failure-is-fatal: this should be true. It was selectively set to false on some services in OSP4 to workaround other bugs that have been fixed in OSP5.

Cluster Properties:
 cinder: running
 cluster-infrastructure: corosync
 dc-version: 1.1.10-32.el7_0-368c726
 galera: running
 glance: running
 heat: running
 horizon: running
 keystone: running
 last-lrm-refresh: 1406197739
 maca25400702875.example.com: memcached,rabbitmq,haproxy,galera,keystone,glance,nova,cinder,heat,horizon
 maca25400868092.example.com: memcached,rabbitmq,haproxy,galera,keystone,glance,nova,cinder,heat,horizon
 maca25400868093.example.com: memcached,rabbitmq,haproxy,galera,keystone,glance,nova,cinder,heat,horizon
 nova: running
 rabbitmq: running
--------------------------------
 start-failure-is-fatal: false
--------------------------------
 stonith-enabled: false

Comment 1 Jason Guiditta 2014-08-04 18:28:06 UTC
Patch posted:
https://github.com/redhat-openstack/astapor/pull/335

Comment 3 Jason Guiditta 2014-08-05 21:30:45 UTC
Merged

Comment 5 Leonid Natapov 2014-08-12 16:02:57 UTC
start-failure-is-fatal not present because it no longer needed.

Comment 7 errata-xmlrpc 2014-08-21 18:06:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.